Bug 77253 - An insecure use of a temporary file has been found in Python.
Summary: An insecure use of a temporary file has been found in Python.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: python   
(Show other bugs)
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-04 10:23 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-12 14:41:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:048 normal SHIPPED_LIVE Low: python security update 2003-02-07 05:00:00 UTC

Description Mark J. Cox 2002-11-04 10:23:30 UTC
Zack Weinberg discovered os._execvpe from os.py in Python 2.2.1 and earlier
creates temporary files with predictable names, which could allow local
users to execute arbitrary code via a symlink attack.

CAN-2002-1119

Comment 1 Mark J. Cox 2003-02-12 14:41:52 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-048.html



Note You need to log in before you can comment on or make changes to this bug.